Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ConnectorBase.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ConnectorBase.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ConnectorBase.Serialization.cs	(revision 4068)
@@ -1,49 +1,44 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public abstract partial class ConnectorBase : ISerializable, IXmlSerializable, IDeserializationCallback {
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-   [Serializable]
-    public abstract partial class ConnectorBase : ISerializable, IXmlSerializable, IDeserializationCallback  
-    {
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected ConnectorBase(SerializationInfo info, StreamingContext context) : base(info, context)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'ConnectorBase'.");
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected ConnectorBase(SerializationInfo info, StreamingContext context)
+      : base(info, context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'ConnectorBase'.");
 
-            double version = info.GetDouble("ConnectorBaseVersion");
+      double version = info.GetDouble("ConnectorBaseVersion");
 
-            this.mShowName = info.GetBoolean("ShowName");
-            this.mNameLocation = (ConnectorNameLocation) info.GetValue(
-                "NameLocation",
-                typeof(ConnectorNameLocation));
+      this.mShowName = info.GetBoolean("ShowName");
+      this.mNameLocation = (ConnectorNameLocation)info.GetValue(
+          "NameLocation",
+          typeof(ConnectorNameLocation));
 
-            this.mPoint = (Point) info.GetValue("Point", typeof(Point));
-            mAttachedConnectors = new CollectionBase<IConnector>();
+      this.mPoint = (Point)info.GetValue("Point", typeof(Point));
+      mAttachedConnectors = new CollectionBase<IConnector>();
 
-            #region Preparation of the anchoring process
-            Guid tuid = new Guid(info.GetString("AttachedTo"));            
-            Anchors.Add(this.Uid, new Anchor(tuid, this));
-            #endregion
-        }
-        #endregion
+      #region Preparation of the anchoring process
+      Guid tuid = new Guid(info.GetString("AttachedTo"));
+      Anchors.Add(this.Uid, new Anchor(tuid, this));
+      #endregion
+    }
+    #endregion
 
-        #region Serialization events
-       /*
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -57,8 +52,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -68,92 +63,86 @@
         }
         */
-        [OnDeserialized]
-        void OnDeserialized(StreamingContext context)
-         {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("...deserialization of 'ConnectorBase' finished");
+    [OnDeserialized]
+    void OnDeserialized(StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("...deserialization of 'ConnectorBase' finished");
 
 
-       
-         }
-       
-        #endregion
 
-        #region Serialization
-         /// <summary>
-         /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
-         /// </summary>
-         /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
-         /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
-         /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
-        public override void GetObjectData(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'ConnectorBase'.");
-            base.GetObjectData(info, context);
+    }
 
-            info.AddValue("ConnectorBaseVersion", connectorBaseVersion);
+    #endregion
 
-            info.AddValue(
-                "NameLocation",
-                mNameLocation, 
-                typeof(ConnectorNameLocation));
+    #region Serialization
+    /// <summary>
+    /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
+    public override void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'ConnectorBase'.");
+      base.GetObjectData(info, context);
 
-            info.AddValue("ShowName", mShowName);
-            info.AddValue("Point", this.Point, typeof(Point));
-            if(this.AttachedTo!=null)
-                info.AddValue("AttachedTo", this.AttachedTo.Uid.ToString());
-            else
-                info.AddValue("AttachedTo", Guid.Empty);
-            
-        }
-        #endregion
+      info.AddValue("ConnectorBaseVersion", connectorBaseVersion);
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public override XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+      info.AddValue(
+          "NameLocation",
+          mNameLocation,
+          typeof(ConnectorNameLocation));
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public override void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+      info.AddValue("ShowName", mShowName);
+      info.AddValue("Point", this.Point, typeof(Point));
+      if (this.AttachedTo != null)
+        info.AddValue("AttachedTo", this.AttachedTo.Uid.ToString());
+      else
+        info.AddValue("AttachedTo", Guid.Empty);
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public override void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    }
+    #endregion
 
-        #region IDeserializationCallback Members
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public override XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public override void OnDeserialization(object sender)
-        {
-            base.OnDeserialization(sender);
-        
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'ConnectorBase' called.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public override void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public override void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
     }
+    #endregion
+
+    #region IDeserializationCallback Members
+
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public override void OnDeserialization(object sender) {
+      base.OnDeserialization(sender);
+
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'ConnectorBase' called.");
+    }
+
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/DiagramEntityBase.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/DiagramEntityBase.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/DiagramEntityBase.Serialization.cs	(revision 4068)
@@ -1,68 +1,61 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  [Serializable]
+  public partial class DiagramEntityBase :
+      ISerializable,
+      IXmlSerializable,
+      IDeserializationCallback {
+    #region Deserialization constructor
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-    // ----------------------------------------------------------------------
-    [Serializable]
-    public partial class DiagramEntityBase :
-        ISerializable,
-        IXmlSerializable,
-        IDeserializationCallback
-    {
-        #region Deserialization constructor
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    // ------------------------------------------------------------------
+    protected DiagramEntityBase(
+        SerializationInfo info,
+        StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled) {
+        Trace.WriteLine(
+            "Deserializing the fields of 'DiagramEntityBase'.");
+      }
+      Initialize();
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        // ------------------------------------------------------------------
-        protected DiagramEntityBase(
-            SerializationInfo info,
-            StreamingContext context)
-        {
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-            {
-                Trace.WriteLine(
-                    "Deserializing the fields of 'DiagramEntityBase'.");
-            }
-            Initialize();
+      string version = info.GetString("DiagramEntityBaseVersion");
+      this.mName = info.GetString("Name");
+      this.mSceneIndex = info.GetInt32("SceneIndex");
+      this.mUid = new Guid(info.GetString("Uid"));
+      this.mResizable = info.GetBoolean("Resizable");
 
-            string version = info.GetString("DiagramEntityBaseVersion");
-            this.mName = info.GetString("Name");
-            this.mSceneIndex = info.GetInt32("SceneIndex");
-            this.mUid = new Guid(info.GetString("Uid"));
-            this.mResizable = info.GetBoolean("Resizable");
+      this.mPaintStyle = info.GetValue(
+          "PaintStyle",
+          typeof(IPaintStyle)) as IPaintStyle;
 
-            this.mPaintStyle = info.GetValue(
-                "PaintStyle",
-                typeof(IPaintStyle)) as IPaintStyle;
+      this.mPenStyle = info.GetValue(
+          "PenStyle",
+          typeof(IPenStyle)) as IPenStyle;
 
-            this.mPenStyle = info.GetValue(
-                "PenStyle",
-                typeof(IPenStyle)) as IPenStyle;
+      mAllowDelete = (bool)info.GetValue("AllowDelete", typeof(bool));
+      myMinSize = (Size)info.GetValue("MinSize", typeof(Size));
+      myMaxSize = (Size)info.GetValue("MaxSize", typeof(Size));
+      mVisible = (bool)info.GetValue("Visible", typeof(bool));
+      mEnabled = (bool)info.GetValue("Enabled", typeof(bool));
+    }
+    #endregion
 
-            mAllowDelete = (bool)info.GetValue("AllowDelete", typeof(bool));
-            myMinSize = (Size)info.GetValue("MinSize", typeof(Size));
-            myMaxSize = (Size)info.GetValue("MaxSize", typeof(Size));
-            mVisible = (bool)info.GetValue("Visible", typeof(bool));
-            mEnabled = (bool)info.GetValue("Enabled", typeof(bool));
-        }
-        #endregion
-
-        #region Serialization events
-        /*
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -76,8 +69,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-        /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -87,100 +80,93 @@
         }
         */
-        [OnDeserialized]
-        void OnDeserialized(StreamingContext context)
-        {
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("...deserialization of 'DiagramEntityBase' finished");
-        }
+    [OnDeserialized]
+    void OnDeserialized(StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("...deserialization of 'DiagramEntityBase' finished");
+    }
 
-        #endregion
+    #endregion
 
-        #region Serialization
+    #region Serialization
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Populates a <see cref=
-        /// "T:System.Runtime.Serialization.SerializationInfo"></see> with 
-        /// the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The 
-        /// <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> 
-        /// to populate with data.</param>
-        /// <param name="context">The destination (see 
-        /// <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) 
-        /// for this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The caller 
-        /// does not have the required permission. </exception>
-        // ------------------------------------------------------------------
-        public virtual void GetObjectData(
-            SerializationInfo info,
-            StreamingContext context)
-        {
-            if (Tracing.BinarySerializationSwitch.Enabled)
-            {
-                Trace.WriteLine("Serializing the fields of " +
-                    "'DiagramEntityBase'.");
-            }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Populates a <see cref=
+    /// "T:System.Runtime.Serialization.SerializationInfo"></see> with 
+    /// the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The 
+    /// <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> 
+    /// to populate with data.</param>
+    /// <param name="context">The destination (see 
+    /// <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) 
+    /// for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller 
+    /// does not have the required permission. </exception>
+    // ------------------------------------------------------------------
+    public virtual void GetObjectData(
+        SerializationInfo info,
+        StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled) {
+        Trace.WriteLine("Serializing the fields of " +
+            "'DiagramEntityBase'.");
+      }
 
-            info.AddValue("DiagramEntityBaseVersion", diagramEntityBaseVersion);
-            info.AddValue("Name", this.Name);
-            info.AddValue("SceneIndex", this.SceneIndex);
-            info.AddValue("Uid", this.Uid.ToString());
-            info.AddValue("Resizable", this.mResizable);
-            info.AddValue("PaintStyle", this.mPaintStyle, typeof(IPaintStyle));
-            info.AddValue("PenStyle", this.mPenStyle, typeof(IPenStyle));
-            info.AddValue("AllowDelete", mAllowDelete, typeof(bool));
-            info.AddValue("MinSize", myMinSize, typeof(Size));
-            info.AddValue("MaxSize", myMaxSize, typeof(Size));
-            info.AddValue("Visible", mVisible, typeof(bool));
-            info.AddValue("Enabled", mEnabled, typeof(bool));
-        }
-        #endregion
+      info.AddValue("DiagramEntityBaseVersion", diagramEntityBaseVersion);
+      info.AddValue("Name", this.Name);
+      info.AddValue("SceneIndex", this.SceneIndex);
+      info.AddValue("Uid", this.Uid.ToString());
+      info.AddValue("Resizable", this.mResizable);
+      info.AddValue("PaintStyle", this.mPaintStyle, typeof(IPaintStyle));
+      info.AddValue("PenStyle", this.mPenStyle, typeof(IPenStyle));
+      info.AddValue("AllowDelete", mAllowDelete, typeof(bool));
+      info.AddValue("MinSize", myMinSize, typeof(Size));
+      info.AddValue("MaxSize", myMaxSize, typeof(Size));
+      info.AddValue("Visible", mVisible, typeof(bool));
+      info.AddValue("Enabled", mEnabled, typeof(bool));
+    }
+    #endregion
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public virtual XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public virtual XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public virtual void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public virtual void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public virtual void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public virtual void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
-        #region IDeserializationCallback Members
+    #region IDeserializationCallback Members
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public virtual void OnDeserialization(object sender)
-        {
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'DiagramEntityBase' called.");
-            UpdatePaintingMaterial();
-        }
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public virtual void OnDeserialization(object sender) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'DiagramEntityBase' called.");
+      UpdatePaintingMaterial();
+    }
 
-        #endregion
-    }
+    #endregion
+  }
 }
